Skip to main content
GET
List sandboxes

Authorizations

Authorization
string
header
required

Personal byk_ API key; user-principal, resolved to a tenant by org context.

Headers

X-Bonya-Organization-ID
string

Org context. Omitted means the caller's personal organization. A well-formed non-member org is 404; malformed is 400.

Query Parameters

page_size
integer
default:50
Required range: 1 <= x <= 100
page_token
string
states
enum<string>[]
Available options:
creating,
running,
warm,
cooling,
cold,
waking,
deleting,
deleted,
failed,
lost
include_disposable
boolean
default:false

Include disposable (job-created) sandboxes.

Response

Sandbox page

sandboxes
object[]
required
next_page_token
string
required